#pragma once

#include "CoreMinimal.h"
#include "HudPresenter.h"
#include "UObject/SoftObjectPtr.h"
#include "HudSurrenderNotificationPresenter.generated.h"

class UUserWidget;

UCLASS(Blueprintable, EditInlineNew)
class UHudSurrenderNotificationPresenter : public UHudPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> SurrenderNotificationWidgetClass;

public:
	UHudSurrenderNotificationPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UHudSurrenderNotificationPresenter) { return 0; }
